Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceZoneDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceZone>
ru.bitel.common.dao.AbstractIdDao<VoiceZone>
ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceZone>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceZoneDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<VoiceZone>`

public class VoiceZoneDao extends ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceZone>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceZoneDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteDirectoryItem(int id)`
  Удаление элемента по id
  `List<VoiceZone>`
  `directoryItems()`
  Получение всего списка элементов из справочника
  `VoiceZone`
  `getDirectoryItem(int id)`
  Получение элемента по id
  `VoiceZone`
  `getDirectoryItem(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected VoiceZone`
  `getFromRS(ResultSet rs)`
  `SearchResult<VoiceZone>`
  `searchVoiceZone(SearchResult<VoiceZone> searchResult)`
  `VoiceZone`
  `updateDirectoryItem(VoiceZone k)`
  Изменение/добавление элемента справочника
  `protected void`
  `updateImpl(VoiceZone b)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `optDirectoryItem`

- ## Constructor Details

  - ### VoiceZoneDao

    public VoiceZoneDao(Connection con, int moduleId)

- ## Method Details

  - ### searchVoiceZone

    public SearchResult<VoiceZone> searchVoiceZone(SearchResult<VoiceZone> searchResult) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getDirectoryItem

    public VoiceZone getDirectoryItem(String title) throws SQLException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `getDirectoryItem` in interface `Directory<VoiceZone>`
    Overrides:
      `getDirectoryItem` in class `ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceZone>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `SQLException`

  - ### directoryItems

    public List<VoiceZone> directoryItems() throws SQLException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `directoryItems` in interface `Directory<VoiceZone>`
    Overrides:
      `directoryItems` in class `ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceZone>`
    Returns:
    Throws:
      `SQLException`

  - ### getFromRS

    protected VoiceZone getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceZone>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(VoiceZone b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceZone>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getDirectoryItem

    public VoiceZone getDirectoryItem(int id) throws SQLException
    Description copied from interface: `Directory`
    Получение элемента по id
    Specified by:
      `getDirectoryItem` in interface `Directory<VoiceZone>`
    Overrides:
      `getDirectoryItem` in class `ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceZone>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `SQLException`

  - ### updateDirectoryItem

    public VoiceZone updateDirectoryItem(VoiceZone k) throws SQLException
    Description copied from interface: `Directory`
    Изменение/добавление элемента справочника
    Specified by:
      `updateDirectoryItem` in interface `Directory<VoiceZone>`
    Overrides:
      `updateDirectoryItem` in class `ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceZone>`
    Parameters:
      `k` -
    Throws:
      `SQLException`

  - ### deleteDirectoryItem

    public int deleteDirectoryItem(int id) throws SQLException
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `deleteDirectoryItem` in interface `Directory<VoiceZone>`
    Overrides:
      `deleteDirectoryItem` in class `ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceZone>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `SQLException`